/*******************************************************************************
* File Name: SOM.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SOM_ALIASES_H) /* Pins SOM_ALIASES_H */
#define CY_PINS_SOM_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SOM_0			(SOM__0__PC)
#define SOM_0_PS		(SOM__0__PS)
#define SOM_0_PC		(SOM__0__PC)
#define SOM_0_DR		(SOM__0__DR)
#define SOM_0_SHIFT	(SOM__0__SHIFT)
#define SOM_0_INTR	((uint16)((uint16)0x0003u << (SOM__0__SHIFT*2u)))

#define SOM_INTR_ALL	 ((uint16)(SOM_0_INTR))


#endif /* End Pins SOM_ALIASES_H */


/* [] END OF FILE */
